@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none;
  border: none;
  text-transform: capitalize;
  transition: all 0.2s linear;
}
html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;
}
body {
  background: #f7f7f7;
  font-family: "Poppins", sans-serif;
}

*::selection {
  background: #2b3dda;
  color: #fff;
}

html {
  font-size: 62.5%;
  overflow-x: hidden;
}
html::-webkit-scrollbar {
  width: 0.8rem;
}
html::-webkit-scrollbar-track {
  background: rgb(235, 202, 245);
}
html::-webkit-scrollbar-thumb {
  background: #420177;
}

/* navbar starts */
header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.7rem 10%;
  height: 6.5rem;
  background-color: #000502;
  box-shadow: 0 1px 4px rgba(76, 155, 235, 0.3);
}
section {
  min-height: 100vh;
  padding: 2rem 9%;
}
.heading {
  font-size: 3.5rem;
  color: rgb(93, 90, 90);
  font-weight: 800;
  text-align: center;
}
.heading span {
  color: rgb(115, 3, 167);
}
header .logo {
  font-size: 3.5rem;
  font-weight:bold;
  font-family: Aladin;
  text-decoration: none;
  color: #c9e4ee;
}
header .logo i {
  font-size: 2.2rem;
}
header .logo:hover {
  color: #5264ec;
}
header .navbar ul {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
}
header .navbar li {
  margin-left: 2.5rem;
}
header .navbar ul li a {
  font-size: 1.57rem;
  color: #c8ddf0;
  font-weight: 600;
  text-decoration: none;
  letter-spacing: 0.04rem;
  transition: 0.2s;
}
header .navbar ul li a.active,
header .navbar ul li a:hover {
  color: #6971e4;
  border-bottom: 0.2rem solid #09be75;
  padding: 0.5rem 0;
}
/* navbar ends */

/* hamburger icon starts*/
#menu {
  font-size: 3rem;
  cursor: pointer;
  color: rgb(243, 241, 247);
  display: none;
}
@media (max-width: 768px) {
  #menu {
    display: block;
  }
  header .navbar {
    position: fixed;
    top: 6.5rem;
    right: -120%;
    width: 75%;
    height: 100%;
    text-align: left;
    align-items: flex-start;
    background-color: #1b1516;
  }
  header .navbar ul {
    flex-flow: column;
    padding: 1rem;
  }
  header .navbar ul li {
    text-align: center;
    width: 100%;
    margin: 1rem 0;
    border-radius: 0.5rem;
    width: 26rem;
  }
  header .navbar ul li a {
    display: block;
    padding: 1rem;
    text-align: left;
    color: #fff;
    font-size: 2rem;
  }
  header .navbar ul li a.active,
  header .navbar ul li a:hover {
    padding: 1rem;
    color: #5c92f6;
    border-radius: 0.5rem;
    border-bottom: 0.5rem solid #2d10d2;
  }
  .fa-times {
    transform: rotate(180deg);
  }
  header .navbar.nav-toggle {
    right: 0;
  }
}
/* hamburger icon ends */

/* hero section starts*/
.home {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  min-height: 100vh;
  align-items: center;
  background: radial-gradient(#98868b, #8992a5); /* Background updated */
  overflow: hidden; /* Ensures floating lights stay within bounds */
}

.light {
  position: absolute;
  width: 0px;
  opacity: 0.75;
  background-color: rgb(61, 9, 9);
  box-shadow: #f3f3f6 0px 0px 20px 2px;
  opacity: 0;
  top: 100vh;
  bottom: 0px;
  left: 0px;
  right: 0px;
  margin: auto;
}

.x1 {
  animation: floatUp 4s infinite linear;
  transform: scale(2.0);
}

.x2 {
  animation: floatUp 7s infinite linear;
  transform: scale(1.6);
  left: 15%;
}

.x3 {
  animation: floatUp 2.5s infinite linear;
  transform: scale(0.5);
  left: -15%;
}

.x4 {
  animation: floatUp 4.5s infinite linear;
  transform: scale(1.2);
  left: -34%;
}

.x5 {
  animation: floatUp 8s infinite linear;
  transform: scale(2.2);
  left: -57%;
}

.x6 {
  animation: floatUp 3s infinite linear;
  transform: scale(0.8);
  left: -81%;
}

.x7 {
  animation: floatUp 5.3s infinite linear;
  transform: scale(3.2);
  left: 37%;
}

.x8 {
  animation: floatUp 4.7s infinite linear;
  transform: scale(1.7);
  left: 62%;
}

.x9 {
  animation: floatUp 4.1s infinite linear;
  transform: scale(0.9);
  left: 85%;
}

@keyframes floatUp {
  0% {
    top: 100vh;
    opacity: 0;
  }
  25% {
    opacity: 1;
  }
  50% {
    top: 0vh;
    opacity: 0.8;
  }
  75% {
    opacity: 1;
  }
  100% {
    top: -100vh;
    opacity: 0;
  }
}

.home::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
}

.home .image {
  flex: 1 1 40rem;
  z-index: 1;
}
.home .image img {
  width: 70%;
  margin-left: 6rem;
  margin-top: 75px;
  border-radius: 50%;
  border: 1px solid rgb(212, 25, 25);
  box-shadow: 0 2px 8px rgba(65, 16, 213, 0.3);
  cursor: pointer;
}
.home .image img:hover {
  box-shadow: 0 5px 100px rgba(98, 40, 222, 0.5);
}
.home .content h2 {
  font-size: 5rem;
  font-weight: 800;
  color: #070707;
}
.home .content h2 span {
  font-size: 5rem;
  font-weight: 800;
  color: #f80404;
}
.home .content p {
  font-size: 2.5rem;
  color: #000;
  font-weight: 600;
  padding: 1rem 0;
}
.home .content p span {
  font-size: 2.5rem;
  color: rgb(8, 66, 148);
  font-weight: 600;
  padding: 1rem 0;
}
.home .btn {
  margin-top: 1rem;
  position: absolute;
  line-height: 0;
  padding: 1.6rem 3rem;
  border-radius: 4em;
  transition: 0.5s;
  color: #fff;
  background: #ee1b57;
  box-shadow: 0px 5px 18px rgba(48, 68, 247, 0.6);
  font-family: "Nunito", sans-serif;
}
.home .btn span {
  font-weight: 700;
  font-size: 1.7rem;
  letter-spacing: 0.1rem;
}
.home .btn i {
  margin-left: 0.3rem;
  font-size: 1.5rem;
  transition: 0.3s;
}
.home .btn:hover {
  background: #350e91;
}
.home .btn:hover i {
  transform: translateX(5px);
}
/* social icons start */
.socials {
  position: relative;
  margin-top: 9rem;
}
.socials .social-icons {
  padding-left: 0;
  margin-bottom: 0;
  list-style: none;
}
.socials .social-icons li {
  display: inline-block;
  margin-bottom: 14px;
}
.social-icons a {
  font-size: 2rem;
  display: inline-block;
  line-height: 44px;
  color: #00d9ff;
  background-color: #09011b;
  width: 44px;
  height: 44px;
  text-align: center;
  margin-right: 8px;
  border-radius: 100%;
  -webkit-transition: all 0.2s linear;
  -o-transition: all 0.2s linear;
  transition: all 0.2s linear;
}
.social-icons a:active,
.social-icons a:focus,
.social-icons a:hover {
  color: #fff;
  background-color: #0685da;
}
.social-icons a.github:hover {
  background-color: #0e0e0e;
}
.social-icons a.linkedin:hover {
  background-color: #007bb6;
}
/* social icons end */

/* hero media queries starts*/
@media (max-width: 450px) {
  .home .btn {
    margin: 4rem 0;
  }
  .socials {
    margin-top: 12rem;
  }
  .home .image img {
    margin-top: -12rem;
  }
  .home .content p {
    font-size: 2.2rem;
  }
  .home .content p span {
    font-size: 2.2rem;
  }
}
/* hero media queries ends*/
/* hero section end */

.bold-line { 
  border: 0; /* Removes default border */
  border-top: 2.5px solid #000; /* Sets the top border to be 2px thick */
  width: 0%; /* Initially hide the line */
  animation: float 2s forwards, colorChange 2s forwards; /* Apply both animations */
}

/* Keyframe animation for floating effect */
@keyframes float {
  0% {
    width: 0%; /* Starts with width at 0% */
  }
  25% {
    width: 25%; /* Ends with width at 100% */
  }
  100% {
    width: 100%; /* Ends with width at 100% */
  }
}

/* Keyframe animation for color change */
@keyframes colorChange {
  0% {
    border-top-color: #caee17; /* Starts with black */
  }
  50% {
    border-top-color: #ff6347; /* Changes to tomato red at halfway */
  }
  100% {
    border-top-color: #0000ff; /* Ends with blue */
  }
}

/* about section starts */
/* Base Styles for the .about Section */
.about {
  position: relative;
  background: rgb(236, 233, 250);
  overflow: hidden; /* Ensures bubbles stay contained within the section */
}

.about::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: radial-gradient(circle, rgba(255, 255, 255, 0.4) 15%, transparent 70%);
  pointer-events: none;
}

/* Bubble Animation */
.about .bubble {
  position: absolute;
  bottom: -50px;
  width: 20px;
  height: 20px;
  background: rgba(245, 238, 183, 0.6);
  border-radius: 50%;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  animation: bubble 25s infinite ease-in-out;
}

.about .bubble:nth-child(1) {
  left: 5%;
  width: 75px;
  height: 75px;
  animation-duration: 8s;
  animation-delay: 1s;
  background-color: #09be75;
}

.about .bubble:nth-child(2) {
  background: #3ea5f9;
  left: 40%;
  width: 75px;
  height: 75px;
  animation-duration: 5s;
  animation-delay: 2s;
}

.about .bubble:nth-child(3) {
  background-color: #f871a5;
  left: 60%;
  width: 75px;
  height: 75px;
  animation-duration: 12s;
  animation-delay: 2s;
}

.about .bubble:nth-child(4) {
  left: 80%;
  width: 75px;
  height: 75px;
  animation-duration: 9s;
  animation-delay: 3s;
}

@keyframes bubble {
  0% {
    transform: translateY(0) scale(1);
    opacity: 1;
  }
  50% {
    transform: translateY(-200px) scale(1.2);
    opacity: 0.8;
  }
  100% {
    transform: translateY(-400px) scale(1.4);
    opacity: 0;
  }
}

/* Original Styles */
.about .heading {
  margin-top: 40px;
  color: #000;
}

.about .row {
  display: flex;
  flex-direction: row;
  gap: 2rem;
  flex-wrap: wrap;
  padding: 4rem;
}

.about .row .image {
  text-align: center;
  flex: 1 1 35rem;
}

.about .row .image img {
  margin: 4rem;
  width: 30rem;
  height: auto;
  border-radius: 15%;
  border-color: #000;
  border-style: groove;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.6);
  mix-blend-mode: luminosity;
  transition: 0.3s;
  cursor: pointer;
}

.about .row .image img:hover {
  mix-blend-mode: multiply;
}

.about .row .content {
  flex: 1 1 45rem;
  padding: 3rem;
}

.about .row .content h3 {
  color: rgb(10, 10, 17);
  font-size: 5rem;
}

.about .row .content .tag {
  font-size: 2.5rem;
  color: #16149d;
  font-weight: 600;
  margin-top: 1rem;
}

.about .row .content p {
  font-size: 2.3rem;
  margin-top: rem;
  font-family: "Nunito";
  font-weight: 600;
  text-transform: none;
}

.about .row .content .box-container {
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  font-family: "Nunito";
  font-weight: 600;
}

.about .row .content .box-container .box p {
  text-transform: none;
}

.about .row .content .box-container .box p span {
  margin-top: 50px;
  color: #16149d;
  font-weight: 600;
}

/* Media Queries */
@media screen and (max-width: 600px) {
  .about .row .image {
    margin-top: 2rem;
  }

  .about .row .image img {
    margin: 0 auto;
    width: 80%;
    mix-blend-mode: normal;
  }

  .about .row {
    padding: 0.5rem;
    margin-bottom: 7rem;
  }

  .about .row .content {
    padding: 1rem;
  }

  .about .row .content .box-container {
    gap: 0;
  }
}

/* about media queries ends*/
/* about section ends */

/* skills section starts */
/* Skills section */
.skills {
  padding: 50px 0;
  text-align: center;
  background-color: rgb(236, 233, 250);
}
.skills .heading{
  color: #000;
}
.heading {
  font-size: 4em;
  margin-bottom: 30px;
}

.heading span {
  color: #f80404;
}

.container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.row {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.skill-box {
  background-color: #f8aeae;
  background: #f2e8e8;
  border-radius: 15px;
  border: 1px solid black;
  width: 200px;
  height: 200px;
  font-size: 15px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 12px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden; /* To contain the animation */
  position: relative;
  transition: transform 0.3s, box-shadow 0.3s;
  color: #000; /* Default text color */
}

.skill-box::before {
  content: "";
  width: 15%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #46bbff;
  transform: rotateZ(-45deg) translate(-50%, -50%);
  transition: all 0.3s;
  z-index: -1; /* Ensure it is below the text */
}

.skill-box:hover::before {
  animation: bottom-fill 0.6s forwards;
}

@keyframes bottom-fill {
  10% {
    width: 0;
    transform: rotateZ(-45deg) translate(-100%, -50%);
  }
  20% {
    width: 0;
    transform: rotateZ(0) translate(-100%, 85%);
  }
  60% {
    width: 100%;
    transform: rotateZ(0) translate(0, 85%);
  }
  100% {
    width: 100%;
    transform: rotateZ(0) translate(0, 0);
  }
}

.skill-box:hover {
  background: var(--clr);
  color: var(--clr);
  letter-spacing: 0.25em;
  transform: translateY(-10px);
  box-shadow: 0 0 35px var(--clr);
}

.skill-logo {
  width: 50px;
  height: 50px;
  margin-bottom: 15px;
}

.skill-box span {
  font-size: 1.2em;
  color: #f80404;
}

@media screen and (max-width: 1200px) {
  .skill-box {
      width: 23%;
      margin: 1%;
  }
}

@media screen and (max-width: 768px) {
  .skill-box {
      width: 45%;
      margin: 10px;
  }
}

@media screen and (max-width: 480px) {
  .skill-box {
      width: 90%;
      margin: 10px;
  }
}

/* skills section ends */

/* education section starts */
.education {
  background: #cfd2cf;
  min-height: 80vh;
}
.education .heading{
  color: #000;
}
.education .qoute {
  font-size: 2.5rem;
  text-align: center;
  font-family: "Nunito", sans-serif;
  font-weight: 600;
  margin-top: 1rem;
}
.education .box-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  flex-direction:column;
}
.education .box-container .box {
  display: flex;
  flex-direction: row;
  width: 80%;
  border-radius: 0.5rem;
  border: 2px solid rgb(184, 28, 28);
  box-shadow: 0.2rem 0.5rem 100rem rgba(6, 9, 90, 0.2);
  text-align: center;
  position: relative;
  margin-top: 2rem;
  overflow: hidden;
  transition: 0.2s;
  background: rgb(81, 215, 238);
}
.education .box-container .box:hover {
  transform: scale(1.03);
  box-shadow: 1rem 0.5rem 1.2rem rgba(0, 0, 0, 0.3);
}
.education .box-container .box .image {
  flex: 1 1 20rem;
  width: 100%;
}
.education .box-container .box img {
  object-fit: cover;
  position: relative;
  width: 100%;
  height: 100%;
}
.education .box-container .box .content {
  position: relative;
  display: flex;
  flex-direction: column;
  padding: 1rem;
  flex-wrap: wrap;
  flex: 1 1 70rem;
}
.education .box-container .box .content h3 {
  font-size: 2.5rem;
  color: #070451;
  padding: 0.5rem 0;
  font-weight: 600;
  text-align: left;
  margin-left: 1rem;
}
.education .box-container .box .content p {
  font-size: 2rem;
  margin-left: 1rem;
  text-align: left;
}
.education h4 {
  font-size: 2rem;
  color: rgb(34, 109, 0);
  text-align: left;
  margin: 1rem;
  font-family: "Nunito", sans-serif;
  font-weight: 700;
}

/* education media queries starts*/
@media screen and (max-width: 600px) {
  .education .box-container .box {
    flex-direction: column;
    width: 100%;
  }
  .education .box-container .box .image {
    width: 100%;
    height: 25rem;
  }
  .education .box-container .box img {
    width: 100%;
  }
  .education .box-container .box .content {
    position: relative;
    display: flex;
    flex-direction: column;
    padding: 1rem;
    flex-wrap: wrap;
    flex: 0;
  }
  .education .btns {
    margin-top: 2rem;
    margin-left: 1rem;
    margin-right: 1rem;
    flex-wrap: wrap;
  }
}
/* education media queries ends*/
/* education section ends */

/* Achievements section starts */
.Achievements{
  background-color:rgb(185, 225, 241);
}
.Achievements .heading{
  color:#000;

}
.Achievements .heading .span{
  color: rgb(141, 16, 163);
}
.Achievements .timeline {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
}
.Achievements .timeline::after {
  content: "";
  position: absolute;
  width: 6px;
  background: #020133;
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -3px;
  z-index: -2;
}
.Achievements .container {
  padding: 10px 40px;
  position: relative;
  background-color: inherit;
  width: 50%;
}
/*circles on timeline*/
.Achievements .container::after {
  content: "\f0b1";
  position: absolute;
  width: 25px;
  height: 25px;
  right: -17px;
  background-color: rgb(111, 115, 123);
  border: 4px solid #ff9f55;
  top: 15px;
  border-radius: 50%;
  z-index: 100;
  font-size: 1.89rem;
  text-align: center;
  font-weight: 600;
  color: #102116;
  font-family: "Font Awesome\ 5 Free";
}
.Achievements .left {
  left: 0;
}
.Achievements .right {
  left: 50%;
}
/* arrows pointing right */
.Achievements .left::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  right: 30px;
  border: medium solid #181714;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent #f68c09;
}
/* arrows pointing left  */
.Achievements .right::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  left: 30px;
  border: medium solid #5b0d97;
  border-width: 10px 10px 10px 0;
  border-color: transparent #110f10 transparent transparent;
}
.Achievements .right::after {
  left: -16px;
}
.Achievements .content {
  background-color: #9292be;
  position: relative;
  border-radius: 6px;
}
.Achievements .content .tag {
  font-size: 1.3rem;
  padding-top: 1.5rem;
  padding-left: 1.5rem;
}
.Achievements .content .desc {
  margin-left: 1.5rem;
  padding-bottom: 1rem;
}
.Achievements .content .desc h3 {
  font-size: 1.5rem;
  font-weight: 600;
}
.Achievements .content .desc p {
  font-size: 1.2rem;
}

/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 600px) {
  .Achievements {
    min-height: 80vh;
  }
  .Achievements .timeline {
    margin-top: 2rem;
  }
  .Achievements .timeline::after {
    left: 31px;
  }
  .Achievements .container {
    width: 100%;
    padding-left: 8rem;
    padding-right: 2rem;
  }
  .Achievements .container::after {
    font-size: 2.2rem;
  }
  .Achievements .container::before {
    left: 61px;
    border: medium solid #f68c09;
    border-width: 10px 10px 10px 0;
    border-color: transparent #f68c09 transparent transparent;
  }
  .Achievements .left::after {
    left: 15px;
  }
  .Achievements .right::after {
    left: 15px;
  }
  .Achievements .right {
    left: 0%;
  }
}
/* Achievements media queries ends */
/* Achievements section ends */

/* footer section starts */
.footer {
  min-height: auto;
  padding-top: 0;
  background: rgb(0, 1, 43);
}
.footer .box-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.footer .box-container .box {
  flex: 1 1 25rem;
  margin: 2.5rem;
}
.footer .box-container .box h3 {
  font-size: 2.5rem;
  color: #fff;
  padding-bottom: 1rem;
  font-weight: normal;
}
.footer .box-container .box p {
  font-size: 1.5rem;
  color: #ccc;
  padding: 0.7rem 0;
  text-transform: none;
}
.footer .box-container .box p i {
  padding-right: 1rem;
  color: #ffae00;
}
.footer .box-container .box a {
  font-size: 1.5rem;
  color: rgb(238, 238, 238);
  padding: 0.3rem 0;
  display: block;
}
.footer .box-container .box a:hover {
  color: #ffae00;
}
.footer .box-container .box .share {
  display: flex;
  flex-wrap: wrap;
  padding: 1rem 0;
}
.footer .box-container .box .share a {
  height: 4rem;
  width: 4rem;
  padding: 1rem;
  text-align: center;
  border-radius: 5rem;
  font-size: 1.7rem;
  margin-right: 1rem;
  transition: 0.2s;
  background: rgb(230, 230, 230);
  color: #02094b;
  border: none;
}
.footer .box-container .box .share a:hover {
  background: transparent;
  transform: scale(0.98);
  border: 0.1rem solid rgb(180, 178, 178);
  color: #ffae00;
}
.footer .credit {
  padding: 1rem 0 0 0;
  text-align: center;
  font-size: 1.5rem;
  font-family: "Nunito", sans-serif;
  font-weight: 600;
  color: #fff;
  border-top: 0.1rem solid #fff3;
}
.footer .credit a {
  color: #ffae00;
}
.footer .fa {
  color: #e90606;
  margin: 0 0.3rem;
  font-size: 1.5rem;
  animation: pound 0.35s infinite alternate;
}
@-webkit-keyframes pound {
  to {
    transform: scale(1.1);
  }
}
@keyframes pound {
  to {
    transform: scale(1.1);
  }
}
@media (max-width: 450px) {
  .footer .box-container .box {
    margin: 1.5rem;
  }
  .footer .box-container .box p {
    padding: 0.7rem;
  }
  .footer .box-container .box .share a {
    padding: 1.2rem;
  }
}
/* footer section ends */

/* common media queries starts*/
@media (max-width: 450px) {
  html {
    font-size: 55%;
  }
  body {
    padding-right: 0;
  }
  section {
    padding: 2rem;
  }
}
/* common media queries ends*/

/* scroll top starts */
#scroll-top {
  position: fixed;
  top: -140%;
  right: 2rem;
  padding: 1rem 1.5rem;
  font-size: 3rem;
  background: #ffae00;
  color: rgb(13, 0, 44);
  border-radius: 50%;
  transition: 1s linear;
  z-index: 1000;
}
#scroll-top.active {
  top: calc(100% - 12rem);
}
/* scroll top ends */
